<link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/v/dt/dt-1.10.16/r-2.2.0/datatables.min.css"/>
<style>
    #loading {
        display: none;
        position: absolute;
        top: 10px;
        right: 10px;
    }
</style>
<!-- Date picker plugins css -->
<link href="plugins/bower_components/bootstrap-datetimepicker/css/datetimepicker.css" rel="stylesheet" type="text/css" />


<div class="row bg-title">
    <div class="col-lg-6 col-sm-6 col-md-6 col-xs-12">
        <h4 class="page-title"></h4>
    </div>

    <div class="col-lg-6 col-sm-6 col-md-6 col-xs-12">
        <ol class="breadcrumb">
            <li><a href="javascript:goBack();"><span name="lbl" caption="projects">Progetti</span></a></li>
            <li class="active"><span name="lbl" caption="calendar">Calendar</span></li>
        </ol>
    </div>
    <!-- /.col-lg-12 -->
</div>
<!-- calendario -->
<div id="calebndarBox" class="row">
    <div class="col-sm-12">
        <div class="panel panel-inverse">
            <div class="panel-heading">

                <span><span name="lbl" caption="Installations">Calendario Lead</span></span>

                <div class="pull-right">
                    <a href="#" data-perform="panel-collapse"><i class="ti-minus"></i></a>
                    <!--<a href="javascript:goBack();" data-perform=""><i class="ti-close"></i></a>-->


                </div>
            </div>
            <div class="panel-wrapper collapse in" aria-expanded="true">
                <div class="panel-body">
                    <div class="row">
                        <a id="addBtn"  href="javascript:;" class="fcbtn btn btn-info btn-outline btn-1c operatorButton col-sm-3" ><i style="font-size: 21px;vertical-align: -4px;" class="icon-plus"></i></a>
                        <div class="col-md-1"></div>
                        <select style="display: inline;"  id='utentiCal' class="form-control takeIn changetab col-sm-8" name='esito'>
                                            <option value="filtra">NESSUN FILTRO...</option>

                         </select>

                         <div id='loading'>loading...</div>
                    </div>
                    <div id='calendar'></div>


                </div>
            </div>
        </div>
    </div>
</div>

<!-- eventi Create -->
<div id="eventiCreate" style="display:none" class="col-md-12">
    <div class="panel panel-inverse">
        <div class="panel-heading"> <span name="lbl" caption="anagraficalead">CREATE APPUNTAMENTO</span>
            <div class="pull-right">
                <a href="#" data-perform="panel-collapse"><i class="ti-minus"></i></a>

            </div>
        </div>
        <div class="panel-wrapper collapse in" aria-expanded="true">
            <div class="panel-body">
                <form action="#" class="form-horizontal create">
                    <div class="form-body">
                        <h3 class="box-title">Informazioni</h3>
                        <hr class="m-t-0 m-b-40">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="control-label col-md-3">Titolo</label>
                                    <div class="col-md-9">
                                        <input id="titleAdd" name="title" type="text" class="form-control takeIn" placeholder="">
                                        <!-- <span class="help-block"> primo nome</span>-->
                                    </div>
                                </div>
                            </div>
                            <!--/span-->
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="control-label col-md-3">location</label>
                                    <div class="col-md-9">
                                        <input id="locationAdd" name="location" type="text" class="form-control takeIn" placeholder="">
                                        <!-- <span class="help-block"> This field has error. </span>  -->
                                    </div>
                                </div>
                            </div>
                            <!--/span-->
                        </div>

                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="control-label col-md-3">Data inizio</label>
                                    <div class="col-md-9">
                                        <div class="input-group">
                                            <input type="text" class="form-control takeIn start" id="startAdd" input-check='dateConsistency' name="start" placeholder="mm/dd/yyyy">
                                            <span class="input-group-addon"><i class="icon-calender"></i></span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <!--/span-->
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="control-label col-md-3">Data fine</label>
                                    <div class="col-md-9">
                                        <div class="input-group">
                                            <input type="text" class="form-control takeIn end" id="endAdd" name="end" placeholder="mm/dd/yyyy">
                                            <span class="input-group-addon"><i class="icon-calender"></i></span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>



                        <h3 class="box-title">NOTE</h3>
                        <hr class="m-t-0 m-b-40">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label class="control-label col-md-3">Note</label>
                                    <div class="col-md-9">
                                        <textarea id="noteAdd" name="note" class="form-control takeIn" rows="5"></textarea>
                                        <!-- <span class="help-block"> This field has error. </span>  -->
                                    </div>
                                </div>
                            </div>
                            <!--/span-->
                        </div>
                        <div id='adminControl' style="display: none;">
                            <h3 class="box-title">Associazioni</h3>
                            <hr class="m-t-0 m-b-40">
                            <div class="row" >

                                <div class="col-md-4">
                                    <div class="form-group">
                                        <div class="col-md-9">
                                            <div class="input-group">
                                                <select id='operatore' class="form-control operatorAssoc takeIn" name='name_operatore'>
                                                    <option></option>
                                                </select>
                                                <!-- <span class="input-group-btn"><button class="btn btn-default btn-outline" type="button">+</button></span> -->
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label class="control-label col-md-3">Lead/Cliente associato</label>
                                        <div class="col-md-9">
                                            <input id="id_coniuge1" name="id_cliente" type="hidden" class="form-control ">
                                            <input readonly id="id_cliente1" name="id_cliente" type="text" class="form-control">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <button id="linkConiuge1" type="button" class="btn btn-success" >Assegna CoIntestatario</button>
                                        <button id="unlinkConiuge1" type="button" class="btn btn-danger">Rimuovi CoIntestatario</button>
                                    </div>
                                </div>

                            </div>
                        </div>


                        <div class="form-actions">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="row">
                                        <div class="col-md-offset-3 col-md-9">
                                            <a href="javascript:addEvent();"  type="button" class="btn btn-success">Crea</a>
                                            <!--<a  id="updBtn" type="button" class="btn btn-success">Salva</a>-->


                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">


                                </div>
                            </div>
                        </div>

                    </div>
                </form>
            </div>
        </div>
    </div>
</div>


<!-- eventi -->
<div id="eventiBox" style="display:none" class="col-md-12">
    <div class="panel panel-inverse">
        <div class="panel-heading"> <span name="lbl" caption="anagraficalead">UPDATE APPUNTAMENTO</span>
            <div class="pull-right">
                <a href="#" data-perform="panel-collapse"><i class="ti-minus"></i></a>

            </div>
        </div>
        <div class="panel-wrapper collapse in" aria-expanded="true">
            <div class="panel-body update">
                <form action="#" class="form-horizontal">
                    <div class="form-body">
                        <h3 class="box-title">Informazioni</h3>
                        <hr class="m-t-0 m-b-40">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="control-label col-md-3">Titolo</label>
                                    <div class="col-md-9">
                                        <input id="title" name="title" type="text" class="form-control takeIn" placeholder="">
                                        <!-- <span class="help-block"> primo nome</span>-->
                                    </div>
                                </div>
                            </div>
                            <!--/span-->
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="control-label col-md-3">location</label>
                                    <div class="col-md-9">
                                        <input id="location" name="location" type="text" class="form-control takeIn" placeholder="">
                                        <!-- <span class="help-block"> This field has error. </span>  -->
                                    </div>
                                </div>
                            </div>
                            <!--/span-->
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="control-label col-md-3">Data inizio</label>
                                    <div class="col-md-9">
                                        <div class="input-group">
                                            <input type="text" class="form-control takeIn start" id="start" name="start" input-check='dateConsistency' placeholder="mm/dd/yyyy">
                                            <span class="input-group-addon"><i class="icon-calender"></i></span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <!--/span-->
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="control-label col-md-3">Data fine</label>
                                    <div class="col-md-9">
                                        <div class="input-group">
                                            <input type="text" class="form-control takeIn end" id="end" name="end" placeholder="mm/dd/yyyy">
                                            <span class="input-group-addon"><i class="icon-calender"></i></span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <h3 class="box-title">NOTE</h3>
                        <hr class="m-t-0 m-b-40">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label class="control-label col-md-3">Note</label>
                                    <div class="col-md-9">
                                        <textarea id="note" name="note" class="form-control takeIn" rows="5"></textarea>
                                        <!-- <span class="help-block"> This field has error. </span>  -->
                                    </div>
                                </div>
                            </div>
                            <!--/span-->
                        </div>
                        <div id='adminControlEdit' style="display: none;">
                            <h3 class="box-title">Associazioni</h3>
                            <hr class="m-t-0 m-b-40">
                            <div class="row" >

                                <div class="col-md-4">
                                    <div class="form-group">
                                        <div class="col-md-9">
                                            <div class="input-group">
                                                <select id='operatoreEdit' class="form-control operatorAssoc takeIn" name='name_operatore'>
                                                    <option></option>
                                                </select>
                                                <!-- <span class="input-group-btn"><button class="btn btn-default btn-outline" type="button">+</button></span> -->
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label class="control-label col-md-3">Lead/Cliente associato</label>
                                        <div class="col-md-9">
                                            <input id="id_coniuge" name="id_cliente" type="hidden" class="form-control ">
                                            <input readonly id="id_cliente_name" name="id_cliente_name" type="text" class="form-control">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <button id="linkConiuge" type="button" class="btn btn-success" >Assegna CoIntestatario</button>
                                        <button id="unlinkConiuge" type="button" class="btn btn-danger">Rimuovi CoIntestatario</button>
                                    </div>
                                </div>

                            </div>
                        </div>


                        <div class="form-actions">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="row">
                                        <div class="col-md-offset-3 col-md-9">
                                            <a href="javascript:updEvent(localStorage.id);" type="button" class="btn btn-success">Salva</a>
                                            <!--<a  id="updBtn" type="button" class="btn btn-success">Salva</a>-->

                                            <a href="javascript:$.module.del(localStorage.modulo,localStorage.id);"  type="button" class="btn btn-default">Cancella</a>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">


                                </div>
                            </div>
                        </div>

                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
<script type="text/x-jsrender" id="clientitutto">
 <div class="col-sm-12">
        <div class="panel panel-inverse">

            <div class="panel-wrapper collapse in" aria-expanded="true">
                <div class="panel-body" style='padding-top:0px'>

                         <table style="font-size:14px;" id="GenericTable" class="display" cellspacing="0" width="100%" >
                            <thead id="listHead">
                                <tr>

                                        <th><span name="lbl" caption="name">Nome</span></th>
                                        <th><span name="lbl" caption="mail">Cognome</span></th>
                                        <!--<th><span name="lbl" caption="mail">Mail</span></th>-->
										<th></th>
                                </tr>
                            </thead>
                            <tbody>
                             {{for  clienti  }}
                                 <tr id='{{:id}}Row'>

                                    <td> {{:nome}}</td>
                                    <td> {{:cognome}}</td>
                                    <!--<td> {{:mail}}</td>-->
                                    <td>
                                        <a  href="javascript:;"  data-id='{{:id}}' data-name='{{:nome}} {{:cognome}}' class="fcbtn btn btn-info btn-outline btn-1c pickConiuge"  >Seleziona</a>
                                    </td>
                                </tr>
                             {{/for}}
                            </tbody>
                        </table>
                    </div>
                </div>

        </div>
 </div>
</script>

<!--Moment-->
<script src="plugins/bower_components/moment/min/moment-with-locales.min.js"></script>

<link href='plugins/bower_components/fullcalendar/fullcalendar.min.css' rel='stylesheet' />
<link href='plugins/bower_components/fullcalendar/fullcalendar.print.min.css' rel='stylesheet' media='print' />
<script src='plugins/bower_components/fullcalendar/fullcalendar.min.js'></script>
<!-- Date Picker Plugin JavaScript -->
<script src="plugins/bower_components/bootstrap-datetimepicker/js/bootstrap-datetimepicker.js"></script>
<script src="js/app/calendar/calendar.js" type="text/javascript"></script>
